Skip to main content
GET
/
account_lock
/
{id}
Fetch an Account Lock
curl --request GET \
  --url https://api.treasuryprime.com/account_lock/{id} \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.treasuryprime.com/account_lock/{id}"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.treasuryprime.com/account_lock/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "account_id": "acct_1234567890",
  "additional_context": "ach_123453254 is disputed by customer.",
  "bank_id": "bank_treasuryprime",
  "id": "lock_1234567890",
  "locked": false,
  "org_id": "org_1234567890",
  "reason": "transactions_being_investigated_ACH",
  "released_at": "2024-04-02T11:55:14Z"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Unique identifier for object

Response

200 - application/json

The lock

account_id
string

ID of account that is associated with the account lock. Filterable.

additional_context
string

Additional context about the lock

bank_id
string

ID of bank that is associated with the account lock. Filterable.

id
string

Unique identifier for object

locked
enum<string>

true if the account lock is active. Filterable.

Available options:
true,
false
org_id
string

ID of organization that is associated with the account lock. Filterable.

reason
string

Reason for locking account. One of transactions_being_investigated_wire, transactions_being_investigated_card, transactions_being_investigated_ACH, transactions_being_investigated_check_issued, transactions_being_investigated_check_deposit, identity_of_customer_being_investigated.

released_at
string

Timestamp of when the account lock was released